## com.puppycrawl.tools.checkstyle.checks.indentation
Class ObjectBlockHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.ObjectBlockHandler

public class ObjectBlockHandler
extends BlockParentHandler

Handler for inner classes.

Author:
  jrichard

Constructor Summary
`ObjectBlockHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected DetailAST` `getLCurly()` Get the left curly brace portion of the expression we are handling.
`IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.
`protected DetailAST` `getListChild()` Get the child element representing the list of statements.
`protected DetailAST` `getRCurly()` Get the right curly brace portion of the expression we are handling.
`protected DetailAST` `getToplevelAST()` There is no top level expression for this handler.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkLCurly, checkLParen, checkRCurly, checkRParen, checkToplevelToken, childrenMayNest, getChildrenExpectedLevel, getLParen, getNonlistChild, getRParen, hasCurlys, rcurlyMustStart, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkModifiers, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine, suggestedChildLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectBlockHandler

    public ObjectBlockHandler(IndentationCheck aIndentCheck,
                              DetailAST aAst,
                              ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Parameters:
  `aIndentCheck` - the indentation check
  `aAst` - the abstract syntax tree
  `aParent` - the parent handler

Method Detail

### getToplevelAST

    protected DetailAST getToplevelAST()

  There is no top level expression for this handler.

  Overrides:
    `getToplevelAST` in class `BlockParentHandler`
  Returns:
    null

### getLCurly

    protected DetailAST getLCurly()

  Get the left curly brace portion of the expression we are handling.

  Overrides:
    `getLCurly` in class `BlockParentHandler`
  Returns:
    the left curly brace expression

### getRCurly

    protected DetailAST getRCurly()

  Get the right curly brace portion of the expression we are handling.

  Overrides:
    `getRCurly` in class `BlockParentHandler`
  Returns:
    the right curly brace expression

### getListChild

    protected DetailAST getListChild()

  Get the child element representing the list of statements.

  Overrides:
    `getListChild` in class `BlockParentHandler`
  Returns:
    the statement list child

### getLevelImpl

    public IndentLevel getLevelImpl()

  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### checkIndentation

    public void checkIndentation()

  Check the indentation of the expression we are handling.

  Overrides:
    `checkIndentation` in class `BlockParentHandler`

Back to the Checkstyle Home Page